fnc_particlefun = {
	params ["_pos", ["_useParticleCircle", true]];

	private _particleEmitter = "#particlesource" createVehicleLocal _pos;
    _particleEmitter setPosASL AGLToASL (_pos vectorAdd [0,0,20]);
	_particleEmitter setParticleParams [["\A3\data_f\blesk1", 1, 0, 1], "", "SpaceObject", 1, 1, [0, 0, 0], [0, 0, 0], 0, 10, 7.9, 0.005, [0.05, 0.05, 0.05], [[0.1, 0.1, 0.1, 1], [0.25, 0.25, 0.25, 0.5], [0.5, 0.5, 0.5, 0]], [0.08], 1, 0, "", "", _particleEmitter];
	if (_useParticleCircle) then {
		_particleEmitter setParticleCircle [2, [0, 0, 0]];
	};
	_particleEmitter setParticleRandom [0, [0.25, 0.25, 0], [0.175, 0.175, 0], 0, 0.25, [0, 0, 0, 0.1], 0, 0];
	_particleEmitter setDropInterval 0.2;
    _particleEmitter setDropInterval 0.01;
	sleep 2;
	deleteVehicle _particleEmitter;
};

player addAction ["Use Particle Circle", {
	[getPos target_1, true] spawn fnc_particlefun;
	[getPos target_2, true] spawn fnc_particlefun;
	[getMarkerPos "target_3", true] spawn fnc_particlefun;
}];

player addAction ["Do not Particle Circle", {
	[getPos target_1, false] spawn fnc_particlefun;
	[getPos target_2, false] spawn fnc_particlefun;
	[getMarkerPos "target_3", false] spawn fnc_particlefun;
}];

[getPos target_1] spawn fnc_particlefun;
[getPos target_2] spawn fnc_particlefun;
[getMarkerPos "target_3"] spawn fnc_particlefun;